Package bitel.billing.server.admin.bean

# Class AddressHouse

java.lang.Object
bitel.billing.server.admin.bean.AddressHouse

    public class AddressHouse
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AddressHouse()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AddressItem` | `getAddressArea()` |
  `AddressItem` | `getAddressQuarter()` |
  `AddressItem` | `getAddressStreet()` |
  `int` | `getAmount()` |
  `int` | `getAreaId()` |
  `java.util.Map<java.lang.String,​java.lang.String>` | `getAttributeMap()` |
  `java.lang.String` | `getBoxIndex()` |
  `int` | `getCityId()` |
  `java.lang.String` | `getComment()` |
  `java.util.Date` | `getDate()` |
  `java.lang.String` | `getFrac()` |
  `int` | `getHouse()` |
  `java.lang.String` | `getHouseFrac()` |
  `int` | `getId()` |
  `int` | `getQuarterId()` |
  `int` | `getStreetId()` |
  `void` | `setAddressArea​(AddressItem addressArea)` |
  `void` | `setAddressQuarter​(AddressItem addressQuarter)` |
  `void` | `setAddressStreet​(AddressItem addressStreet)` |
  `void` | `setAmount​(int amount)` |
  `void` | `setAreaId​(int areaId)` |
  `void` | `setAttributeMap​(java.util.Map<java.lang.String,​java.lang.String> attributeMap)` |
  `void` | `setBoxIndex​(java.lang.String boxIndex)` |
  `void` | `setCityId​(int cityId)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setDate​(java.util.Date date)` |
  `void` | `setFrac​(java.lang.String frac)` |
  `void` | `setHouse​(int house)` |
  `void` | `setId​(int id)` |
  `void` | `setQuarterId​(int quarterId)` |
  `void` | `setStreetId​(int streetId)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressHouse

    public AddressHouse()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getAreaId

    public int getAreaId()

  - ### setAreaId

    public void setAreaId​(int areaId)

  - ### getQuarterId

    public int getQuarterId()

  - ### setQuarterId

    public void setQuarterId​(int quarterId)

  - ### getStreetId

    public int getStreetId()

  - ### setStreetId

    public void setStreetId​(int streetId)

  - ### getHouse

    public int getHouse()

  - ### setHouse

    public void setHouse​(int house)

  - ### getFrac

    public java.lang.String getFrac()

  - ### setFrac

    public void setFrac​(java.lang.String frac)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getAddressArea

    public AddressItem getAddressArea()

  - ### setAddressArea

    public void setAddressArea​(AddressItem addressArea)

  - ### getAddressQuarter

    public AddressItem getAddressQuarter()

  - ### setAddressQuarter

    public void setAddressQuarter​(AddressItem addressQuarter)

  - ### getAddressStreet

    public AddressItem getAddressStreet()

  - ### setAddressStreet

    public void setAddressStreet​(AddressItem addressStreet)

  - ### getAttributeMap

    public java.util.Map<java.lang.String,​java.lang.String> getAttributeMap()

  - ### setAttributeMap

    public void setAttributeMap​(java.util.Map<java.lang.String,​java.lang.String> attributeMap)

  - ### getHouseFrac

    public java.lang.String getHouseFrac()

  - ### getCityId

    public int getCityId()

  - ### setCityId

    public void setCityId​(int cityId)

  - ### getBoxIndex

    public java.lang.String getBoxIndex()

  - ### setBoxIndex

    public void setBoxIndex​(java.lang.String boxIndex)

  - ### getDate

    public java.util.Date getDate()

  - ### setDate

    public void setDate​(java.util.Date date)

  - ### getAmount

    public int getAmount()

  - ### setAmount

    public void setAmount​(int amount)